'use strict';

var React = require('react');
var NodeWrapper = require('./NodeWrapper');

/**
 * Render an entire slate node and its children.
 * @type {React}
 */
var Node = React.createClass({
    displayName: 'Node',

    propTypes: {
        node: React.PropTypes.object.isRequired
    },

    render: function render() {
        var node = this.props.node;


        if (node.kind == 'character') {
            return React.createElement(
                'span',
                null,
                node.text
            );
        } else if (node.kind == 'text') {
            return React.createElement(
                'span',
                null,
                node.characters.map(function (c, i) {
                    return React.createElement(Node, { key: i, node: c });
                })
            );
        } else {
            return React.createElement(
                NodeWrapper,
                { node: node },
                node.nodes.map(function (c) {
                    return React.createElement(Node, { key: c.key, node: c });
                })
            );
        }
    }
});

module.exports = Node;