'use strict';

/* eslint-disable react/prop-types */
var React = require('react');

var schema = require('./schema');

var defaultBlock = function defaultBlock(_ref) {
    var children = _ref.children;
    return React.createElement(
        'div',
        null,
        children
    );
};
var defaultInline = function defaultInline(_ref2) {
    var children = _ref2.children;
    return React.createElement(
        'span',
        null,
        children
    );
};

/**
 * Rendering for a slate node. It doesn't consider children.
 *
 * @type {React}
 */
var NodeWrapper = React.createClass({
    displayName: 'NodeWrapper',

    propTypes: {
        node: React.PropTypes.object.isRequired,
        children: React.PropTypes.node
    },

    render: function render() {
        var _props = this.props,
            node = _props.node,
            children = _props.children;

        var Renderer = schema.nodes[node.type] || (node.kind == 'block' ? defaultBlock : defaultInline);

        return React.createElement(
            Renderer,
            { node: node },
            children
        );
    }
});

module.exports = NodeWrapper;