'use strict';

var React = require('react');
var ChangeNodes = require('./ChangeNodes');

/**
 * Component to render the rich diff between two documents.
 * @type {ReactClass}
 */
var RichDiff = React.createClass({
    displayName: 'RichDiff',

    propTypes: {
        original: React.PropTypes.object.isRequired,
        modified: React.PropTypes.object.isRequired
    },

    render: function render() {
        var _props = this.props,
            original = _props.original,
            modified = _props.modified;


        return React.createElement(ChangeNodes, {
            Wrapper: function Wrapper(props) {
                return React.createElement(
                    'div',
                    { className: 'RichDiff' },
                    props.children
                );
            },
            original: original.nodes,
            modified: modified.nodes
        });
    }
});

module.exports = RichDiff;