'use strict';

var _nodes, _marks;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/* eslint-disable react/prop-types */
var React = require('react');

var _require = require('markup-it'),
    BLOCKS = _require.BLOCKS,
    MARKS = _require.MARKS,
    INLINES = _require.INLINES;

var SCHEMA = {
    nodes: (_nodes = {}, _defineProperty(_nodes, BLOCKS.PARAGRAPH, function (props) {
        return React.createElement(
            'p',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.BLOCKQUOTE, function (props) {
        return React.createElement(
            'blockquote',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.HR, function (props) {
        return React.createElement('hr', null);
    }), _defineProperty(_nodes, BLOCKS.CODE, function (props) {
        return React.createElement(
            'pre',
            null,
            React.createElement(
                'code',
                null,
                props.children
            )
        );
    }), _defineProperty(_nodes, BLOCKS.TABLE, function (props) {
        return React.createElement(
            'table',
            null,
            React.createElement(
                'tbody',
                null,
                props.children
            )
        );
    }), _defineProperty(_nodes, BLOCKS.TABLE_ROW, function (props) {
        return React.createElement(
            'tr',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.TABLE_CELL, function (props) {
        return React.createElement(
            'td',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.UL_LIST, function (props) {
        return React.createElement(
            'ul',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.OL_LIST, function (props) {
        return React.createElement(
            'ol',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.LIST_ITEM, function (props) {
        return React.createElement(
            'li',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.HEADING_1, function (props) {
        return React.createElement(
            'h1',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.HEADING_2, function (props) {
        return React.createElement(
            'h2',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.HEADING_3, function (props) {
        return React.createElement(
            'h3',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.HEADING_4, function (props) {
        return React.createElement(
            'h4',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.HEADING_5, function (props) {
        return React.createElement(
            'h5',
            null,
            props.children
        );
    }), _defineProperty(_nodes, BLOCKS.HEADING_6, function (props) {
        return React.createElement(
            'h6',
            null,
            props.children
        );
    }), _defineProperty(_nodes, INLINES.IMAGE, function (props) {
        return React.createElement('img', { src: props.node.data.get('src') });
    }), _defineProperty(_nodes, INLINES.LINK, function (props) {
        return React.createElement(
            'a',
            { href: props.node.data.get('href') },
            props.children
        );
    }), _nodes),
    marks: (_marks = {}, _defineProperty(_marks, MARKS.BOLD, function (props) {
        return React.createElement(
            'strong',
            null,
            props.children
        );
    }), _defineProperty(_marks, MARKS.ITALIC, function (props) {
        return React.createElement(
            'em',
            null,
            props.children
        );
    }), _defineProperty(_marks, MARKS.STRIKETHROUGH, function (props) {
        return React.createElement(
            'del',
            null,
            props.children
        );
    }), _defineProperty(_marks, MARKS.CODE, function (props) {
        return React.createElement(
            'code',
            null,
            props.children
        );
    }), _marks)
};

module.exports = SCHEMA;